<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_10</title>
</head>
<body>
    <h1>Capitulo 10</h1>
    <a>Ejercicio 8</a>

    <script>

        const buscarDuplicados = (arr, n) => {
            
            var freq = new Map();

            for (let i = 0; i < n; i++) {

                if (freq.has(arr[i])) {
                    freq.set(arr[i], freq.get(arr[i]) + 1);
                }
                else {
                    freq.set(arr[i], 1);
                }
            }

            var dup = false;
            
            for (let [key, value] of freq) {
                
                if (value > 1) {
                    console.log(key + " ");
                    dup = true;
                }
            }

            if (dup === false) {
                console.log("-1");
            }

        }

        let arr = [ 12, 11, 40, 12, 5, 6, 5, 12, 11 ];
        let n = arr.length;
        buscarDuplicados(arr, n);        
        
</script>
    
</body>
</html>